%global pkgvers 0
%global scdate0 20250509
%global schash0 b6477b29f0dee65656c74f9c58beefa8e9e601be
%global branch0 master
%global source0 https://github.com/esynr3z/corsair

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           corsair
Version:        1.0.4
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Control and Status Register map generator for HDL projects
BuildArch:      noarch
License:        MIT

URL:            https://github.com/wallento/wavedrompy

BuildRequires:  git python3-devel python3-rpm-macros python3-setuptools
BuildRequires:  python3-matplotlib python3-setuptools_scm


%description
Corsair is a tool that makes it easy to create and maintain control and
status register (CSR) map for any HDL project.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i 's|git_version(VERSION)|"%{version}"|' setup.py
%{py3_build}


%install
%{py3_install}


%files
%doc README.md
%doc docs examples
%license LICENSE.txt
%{_bindir}/*
%{python3_sitelib}/*


%changelog
* Tue Apr 19 2022 Cristian Balint <cristian.balint@gmail.com>
- git update releases
